Package com.evopdf

# Enum EncryptionKeySize

java.lang.Object
java.lang.Enum<EncryptionKeySize>
com.evopdf.EncryptionKeySize

All Implemented Interfaces:
  `Serializable`, `Comparable<EncryptionKeySize>`, `java.lang.constant.Constable`

public enum EncryptionKeySize extends Enum<EncryptionKeySize>
This enumeration contains the possible values of the length of the encryption key used to encrypt a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EncryptKey128Bit`
  A 128 bit length.
  `EncryptKey256Bit`
  A 256 bit length.
  `EncryptKey40Bit`
  A 40 bit length.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static EncryptionKeySize`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EncryptionKeySize[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EncryptKey256Bit

    public static final EncryptionKeySize EncryptKey256Bit
    A 256 bit length.

  - ### EncryptKey128Bit

    public static final EncryptionKeySize EncryptKey128Bit
    A 128 bit length.

  - ### EncryptKey40Bit

    public static final EncryptionKeySize EncryptKey40Bit
    A 40 bit length.

- ## Method Details

  - ### values

    public static EncryptionKeySize[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EncryptionKeySize valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()